Internal Server error on AgentTicketZoom

Moderator: crythias

primevigilance
OTRS newbie
Posts: 4
Joined: 28 Dec 2017, 17:11
OTRS Version?: Free 3.3

Internal Server error on AgentTicketZoom

Postby primevigilance » 29 Dec 2017, 12:22

Hello everyone

I'm trying to upgrade OTRS from 3.3 on CentOS 6.7 to OTRS 6.0 on CentOS 7.Here are the steps I've taken:

I first upgraded to 4.0 without any issues in the upgrade process, system is working as expected without any red flags in the Support Assessmet.
From there i upgraded to 5.0 also with equal success.
I have backed up everything
installed a new server with CentOS 7 and OTRS 5.0
Restored OTRS on the new server and everything is working as expected. No red flags in the Suppport Assessment.
Upgraded OTRS to 6.0 without errors in the upgrade process.

But when i try to view the ticket i get Internal Server Error. When i look at apache error log, these errors have the same timestamp as me clicking on the ticket:

Code: Select all

[Thu Dec 28 15:59:40.052258 2017] [:error] [pid 6594] Can't call method "FatalError" on an undefined value at /opt/otrs//Kernel/Modules/AgentTicketZoom.pm line 42.\n


Double slash should not be an issue. Does anyone know how to approach this?

Thank you

root
Moderator
Posts: 1075
Joined: 18 Dec 2007, 12:23
OTRS Version?: 4/5/6
Real Name: Roy Kaldung
Company: Znuny Inc.
Contact:

Re: Internal Server error on AgentTicketZoom

Postby root » 29 Dec 2017, 12:52

Hi,

Did you restartet the webserver after installing/upgrading the rpm?

- Roy
OTRS 4/5/6 CentOS / RHEL / Debian / SLES / MySQL / PostgreSQL / Oracle / OpenLDAP / Active Directory / SSO

You need professional services? Check out http://znuny.com/

primevigilance
OTRS newbie
Posts: 4
Joined: 28 Dec 2017, 17:11
OTRS Version?: Free 3.3

Re: Internal Server error on AgentTicketZoom

Postby primevigilance » 29 Dec 2017, 13:06

The steps i've taken are:

Code: Select all

systemctl stop httpd
systemctl stop postfix
systemctl stop crond
wget https://ftp.otrs.org/pub/otrs/RPMS/rhel/7/otrs-6.0.3-02.noarch.rpm
su otrs

cd /opt/otrs
bin/Cron.sh stop
bin/otrs.Daemon.pl stop
exit

yum install -y "perl(DateTime)"
rpm -Uvh otrs-6.0.3-02.noarch.rpm
su otrs

cd /opt/otrs
bin/otrs.Console.pl Dev::Tools::Migrate::ConfigXMLStructure --source-directory Kernel/Config/Files
scripts/DBUpdate-to-6.pl
exit

systemctl start httpd
systemctl start postfix
systemctl start crond
su otrs

cd /opt/otrs
bin/otrs.Daemon.pl start
bin/Cron.sh start


So yes, I did restart the webserver after installing the rpm.

reneeb
OTRS guru
Posts: 4475
Joined: 13 Mar 2011, 09:54
OTRS Version?: 3.3.x
Company: Perl-Services.de
Contact:

Re: Internal Server error on AgentTicketZoom

Postby reneeb » 30 Dec 2017, 11:25

Do you have any addons installed?
Perl / OTRS development: http://perl-services.de
Free OTRS add ons from the community: http://opar.perl-services.de
Commercial add ons: http://feature-addons.de

primevigilance
OTRS newbie
Posts: 4
Joined: 28 Dec 2017, 17:11
OTRS Version?: Free 3.3

Re: Internal Server error on AgentTicketZoom

Postby primevigilance » 30 Dec 2017, 19:31

ITSM. After the installation i went to package manager and installed one by one to 6.0.3 in this order:
GeneralCatalog
ITSMCore
ITSMIncidentProblemManagement
ITSMConfigurationManagement
ITSMChangeManagement
ITSMServiceLevelManagement
ImportExport

I could see the items created in the ITSM without any problems. I just have the issue with AgentTicketZoom.
I'm thinking of installing a new server and then just migrating the database

lis9
OTRS newbie
Posts: 4
Joined: 13 Apr 2017, 11:27
OTRS Version?: 5.0.22
Real Name: Daniel
Company: Komputronik S.A.

Re: Internal Server error on AgentTicketZoom

Postby lis9 » 17 Jan 2018, 19:15

From my personal experience: if upgrading from 5.0.x using RPM in (for instance 6.0.3 version), this error always occurs.
Solution is: following all migration steps, upgrading DB, plugins, e.t.c its enough to once again install the same RPM using --force option. It solves AgentTicketZoom.pm issue.
I hope that, even if partly, I have helped you.

primevigilance
OTRS newbie
Posts: 4
Joined: 28 Dec 2017, 17:11
OTRS Version?: Free 3.3

Re: Internal Server error on AgentTicketZoom

Postby primevigilance » 23 Jan 2018, 15:21

lis9 wrote:From my personal experience: if upgrading from 5.0.x using RPM in (for instance 6.0.3 version), this error always occurs.
Solution is: following all migration steps, upgrading DB, plugins, e.t.c its enough to once again install the same RPM using --force option. It solves AgentTicketZoom.pm issue.
I hope that, even if partly, I have helped you.


Excelent!!

I run the rpm --install --force otrs-xxx.rpm and it solved the issue

Thank you for tip.

EDIT: This can be marked as solved


Return to “Help”

Who is online

Users browsing this forum: No registered users and 10 guests